<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Underwriting Risk Model</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap" rel="stylesheet">
    <style>
        body {
            font-family: 'Roboto', sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: #f0f0f0;
        }
        .container {
            background: white;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }
        h1 {
            background: linear-gradient(to right, #6a11cb, #2575fc);
            color: white;
            padding: 10px;
            border-radius: 8px;
            text-align: center;
            font-family: 'Roboto', sans-serif;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        td, th {
            padding: 10px;
            text-align: left;
        }
        input[type="number"], input[type="checkbox"], select {
            width: 100%;
            border: none;
            border-bottom: 1px solid #ccc;
            padding: 8px;
            font-size: 16px;
            outline: none;
            font-family: 'Roboto', sans-serif;
            background-color: transparent;
            appearance: none;
        }
        input[type="number"]:focus, input[type="checkbox"]:focus, select:focus {
            border-bottom: 2px solid #6a11cb;
        }
        input[type="submit"] {
            margin-top: 20px;
            padding: 10px;
            background: #6a11cb;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            font-size: 16px;
            font-family: 'Roboto', sans-serif;
        }
        input[type="submit"]:hover {
            background: #2575fc;
        }
        #result {
            margin-top: 20px;
            padding: 10px;
            background: #f0f0f0;
            border-radius: 4px;
        }
        select {
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
            background: none;
        }
        .custom-select {
            position: relative;
            display: inline-block;
            width: 100%;
        }
        .custom-select select {
            display: inline-block;
            width: 100%;
            cursor: pointer;
            padding: 8px;
            font-size: 16px;
            border: none;
            border-bottom: 1px solid #ccc;
            outline: none;
            background-color: transparent;
        }
        .custom-select::after {
            content: '\25BC'; /* Down arrow */
            position: absolute;
            top: 50%;
            right: 10px;
            transform: translateY(-50%);
            pointer-events: none;
            color: gray;
        }
        .custom-select select:focus {
            border-bottom: 2px solid #6a11cb;
        }
    </style>
    <script>
        function handleSubmit(event) {
            event.preventDefault();
            var form = document.getElementById('riskForm');
            var formData = new FormData(form);
            var xhr = new XMLHttpRequest();
            xhr.onreadystatechange = function() {
                if (xhr.readyState === XMLHttpRequest.DONE) {
                    if (xhr.status === 200) {
                        var result = JSON.parse(xhr.responseText);
                        document.getElementById('result').innerHTML = 'Risk Score (Higher is riskier): ' +  (result.predicted_probability * 100).toFixed(2) + '%';
                    } else {
                        document.getElementById('result').innerHTML = 'Prediction Error';
                    }
                }
            };
            xhr.open('POST', '/predict', true);
            xhr.send(formData);
        }
    </script>
</head>
<body>
    <div class="container">
        <h1>Underwriting Risk Model</h1>
        <form id="riskForm" onsubmit="handleSubmit(event)">
            <table>
                <tr>
                    <td><label for="ninetydaysago">ninetydaysago:</label></td>
                    <td><input type="number" id="ninetydaysago" name="ninetydaysago" value="8" step="1"></td>
                </tr>
                <tr>
                    <td><label for="threesixtyfivedaysago">threesixtyfivedaysago:</label></td>
                    <td><input type="number" id="threesixtyfivedaysago" name="threesixtyfivedaysago" value="8" step="1"></td>
                </tr>
                <tr>
                    <td><label for="workphonepreviouslylistedascellphone">workphonepreviouslylistedascellphone:</label></td>
                    <td>
                        <select id="workphonepreviouslylistedascellphone" name="workphonepreviouslylistedascellphone">
                            <option value="True" >True</option>
                            <option value="False" selected>False</option>
                        </select>
                    </td>
                </tr>            
                <tr>
                    <td><label for="clearfraudscore">clearfraudscore:</label></td>
                    <td><input type="number" id="clearfraudscore" name="clearfraudscore" value="901" step="1"></td>
                </tr>
                <tr>
                    <td><label for="apr">apr:</label></td>
                    <td><input type="number" id="apr" name="apr" value="475" step="1"></td>
                </tr>
                <tr>
                    <td><label for="loanAmount">loanAmount:</label></td>
                    <td><input type="number" id="loanAmount" name="loanAmount" value="300" step="100"></td>
                </tr>
                <tr>
                    <td><label for="nameaddressmatch">nameaddressmatch:</label></td>
                    <td>
                        <select id="nameaddressmatch" name="nameaddressmatch">
                            <option value="invalid">Invalid</option>
                            <option value="mismatch">Mismatch</option>
                            <option value="match" selected>Match</option>
                            <option value="partial">Partial</option>
                            <option value="unavailable">Unavailable</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="phonematchtype">phonematchtype:</label></td>
                    <td>
                        <select id="phonematchtype" name="phonematchtype">
                            <option value="A">A</option>
                            <option value="F">F</option>
                            <option value="FA">FA</option>
                            <option value="L">L</option>
                            <option value="LA">LA</option>
                            <option value="M" selected>M</option>
                            <option value="MISS">MISS</option>
                            <option value="P">P</option>
                            <option value="U">U</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="phonematchresult">phonematchresult:</label></td>
                    <td>
                        <select id="phonematchresult" name="phonematchresult">
                            <option value="invalid">Invalid</option>
                            <option value="match">Match</option>
                            <option value="mismatch">Mismatch</option>
                            <option value="partial">Partial</option>
                            <option value="unavailable" selected>Unavailable</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="overallmatchresult">overallmatchresult:</label></td>
                    <td>
                        <select id="overallmatchresult" name="overallmatchresult">
                            <option value="match">Match</option>
                            <option value="mismatch">Mismatch</option>
                            <option value="partial">Partial</option>
                            <option value="other">Other</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="payFrequency">payFrequency:</label></td>
                    <td>
                        <select id="payFrequency" name="payFrequency">
                            <option value="W">Weekly</option>
                            <option value="B">Biweekly</option>
                            <option value="S">Semi Monthly</option>
                            <option value="M">Monthly</option>
                            <option value="I">Irregular</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="state">state:</label></td>
                    <td>
                        <select id="state" name="state">
                            <option value="AK">AK</option>
                            <option value="AL">AL</option>
                            <option value="AZ">AZ</option>
                            <option value="CA">CA</option>
                            <option value="CO">CO</option>
                            <option value="CT">CT</option>
                            <option value="DE">DE</option>
                            <option value="FL">FL</option>
                            <option value="GA">GA</option>
                            <option value="HI">HI</option>
                            <option value="IA">IA</option>
                            <option value="ID">ID</option>
                            <option value="IL">IL</option>
                            <option value="IN">IN</option>
                            <option value="KS">KS</option>
                            <option value="KY">KY</option>
                            <option value="LA">LA</option>
                            <option value="MI">MI</option>
                            <option value="MN">MN</option>
                            <option value="MO">MO</option>
                            <option value="MS">MS</option>
                            <option value="NC">NC</option>
                            <option value="ND">ND</option>
                            <option value="NE">NE</option>
                            <option value="NJ">NJ</option>
                            <option value="NM">NM</option>
                            <option value="NV">NV</option>
                            <option value="OH">OH</option>
                            <option value="OK">OK</option>
                            <option value="PA">PA</option>
                            <option value="RI">RI</option>
                            <option value="SC">SC</option>
                            <option value="SD">SD</option>
                            <option value="TN">TN</option>
                            <option value="TX">TX</option>
                            <option value="UT">UT</option>
                            <option value="VA">VA</option>
                            <option value="WA">WA</option>
                            <option value="WI">WI</option>
                            <option value="WY">WY</option>                        
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="leadType">leadType:</label></td>
                    <td>
                        <select id="leadType" name="leadType">
                            <option value="bvMandatory">bvMandatory</option>
                            <option value="organic">organic</option>
                            <option value="prescreen">prescreen</option>
                            <option value="lead">lead</option>
                            <option value="california">california</option>
                            <option value="lionpay">lionpay</option>
                        </select>
                    </td>
                </tr>

                <tr>
                    <td colspan="2"><input type="submit" value="Submit"></td>
                </tr>
            </table>
        </form>
        <div id="result"></div>
    </div>
</body>
</html>
